#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-CFMu6fddXAEJwq8GAC5ji6
key:                  lsp-1.4.0.0-CFMu6fddXAEJwq8GAC5ji6
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  2508a5beb817153ab77489d61c4ff491
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-GSslevvgzJyIxRAFb7j867:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-GSslevvgzJyIxRAFb7j867:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-GSslevvgzJyIxRAFb7j867:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-GSslevvgzJyIxRAFb7j867:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-CFMu6fddXAEJwq8GAC5ji6
depends:
    aeson-2.1.2.1-4xKrNuS491zGhSp7DRfhkt
    async-2.2.5-LmSVINhEjtM7SmkG8MLO8t
    attoparsec-0.14.4-JadDyXYzn4eLOmfXFQKWms base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi exceptions-0.10.5
    hashable-1.4.4.0-909PfscEME9DWRnST3i6i
    hslogger-1.3.1.2-CWm7yBEjAYDEAPlm73r4xq
    lens-5.2.3-KfchkrYqe7G7U6wvL6YyJ5
    lsp-types-1.4.0.1-GSslevvgzJyIxRAFb7j867 mtl-2.2.2
    network-uri-2.6.4.2-LasBgzbxOez8glrUZNmNYq
    random-1.2.1.2-871Uh1OooPpA1MO3rZ8unb
    scientific-0.3.7.0-LbGAkLwJByt1Tv5Onvb1iB
    sorted-list-0.2.3.1-Ir4iiMrilNBGBZeYRZc7Dn stm-2.5.1.0 text-2.0.2
    time-1.12.2 transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-Ko0oshTaIwM77y5vt748zM
    uuid-1.3.16-9x2IJinX5c1Kl1Zc9f2OA2

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

